X
Tap here to go to the mobile version of the site.

Support Forum

the new firefox 33.1 and 34 are not compatible with my school Blackboard account

Posted

I have used Firefox since it was first introduced. I prefer it to MS Explorer. However the new Firefox, 33.1 and 34 are not compatible with my school Blackboard account, so I had to delete Firefox and use Explorer. I would prefer to use Firefox. Is an earlier version (Prior to 33.1) still available?

I have used Firefox since it was first introduced. I prefer it to MS Explorer. However the new Firefox, 33.1 and 34 are not compatible with my school Blackboard account, so I had to delete Firefox and use Explorer. I would prefer to use Firefox. Is an earlier version (Prior to 33.1) still available?

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; rv:11.0) like Gecko

More Information

FredMcD
  • Top 10 Contributor
4259 solutions 59635 answers

You can have more than one web browser if you want.

When Firefox tried to access the web site, what exactly happens?

What is the web link? NO Personal information, please.

You can have more than one web browser if you want. When Firefox tried to access the web site, what exactly happens? What is the web link? NO Personal information, please.
the-edmeister
  • Top 25 Contributor
  • Moderator
5406 solutions 40239 answers

It's been a few years since we have had many questions about Blackboard compatibility with Firefox, but overall the problems in that past had to do with either Blackboard not updating in a timely manner [which I don't think is the case any longer] OR the school wasn't running the latest version of Blackboard software [which considering the current state of many government budgets, may be the case now.]. It appears that - http://www.blackboard.com/ - is a new or greatly modified website, as the bookmarks I have saved for reference pages on their website come as 404, so I can't find the information I have used in the past.


My advice is to install Firefox Portable ESR to your hard drive for use at that Blackboard website and continue to use Firefox 34 for other purposes. The "portable" version will instal and use a Profile that is totally separate from your regular Firefox installation - so you can have two separate Firefox versions installed without any problems.

http://portableapps.com/apps/internet/firefox-portable-esr ESR stands for Extended Support Release.

It's been a few years since we have had many questions about Blackboard compatibility with Firefox, but overall the problems in that past had to do with either Blackboard not updating in a timely manner ''[which I don't think is the case any longer]'' OR the school wasn't running the latest version of Blackboard software ''[which considering the current state of many government budgets, may be the case now.]''. ''It appears that - http://www.blackboard.com/ - is a new or greatly modified website, as the bookmarks I have saved for reference pages on their website come as 404, so I can't find the information I have used in the past.'' My advice is to install Firefox Portable ESR to your hard drive for use at that Blackboard website and continue to use Firefox 34 for other purposes. The "portable" version will instal and use a Profile that is totally separate from your regular Firefox installation - so you can have two separate Firefox versions installed without any problems. http://portableapps.com/apps/internet/firefox-portable-esr '''ESR''' stands for Extended Support Release.